// Intel InspectorGDILeakDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Intel InspectorGDILeak.h"
#include "Intel InspectorGDILeakDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CIntelInspectorGDILeakDlg dialog




CIntelInspectorGDILeakDlg::CIntelInspectorGDILeakDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIntelInspectorGDILeakDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CIntelInspectorGDILeakDlg::~CIntelInspectorGDILeakDlg()
{
/*
	// Delete temporary DC   
	DeleteDC(m_hdc);   
	m_hdc = NULL; 
*/
}

void CIntelInspectorGDILeakDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CIntelInspectorGDILeakDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_WM_CLOSE()
	ON_WM_DESTROY()
END_MESSAGE_MAP()


// CIntelInspectorGDILeakDlg message handlers

BOOL CIntelInspectorGDILeakDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// Create DC
	HDC hDCMain = ::GetDC(m_hWnd);   
	m_hdc = CreateCompatibleDC(hDCMain);   
	::ReleaseDC(m_hWnd, hDCMain);   

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CIntelInspectorGDILeakDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CIntelInspectorGDILeakDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CIntelInspectorGDILeakDlg::OnClose()
{
	// Delete temporary DC   
	DeleteDC(m_hdc);   
	m_hdc = NULL; 

	CDialog::OnClose();
}

void CIntelInspectorGDILeakDlg::OnDestroy()
{
/*
	// Delete temporary DC   
	DeleteDC(m_hdc);   
	m_hdc = NULL; 
*/
	CDialog::OnDestroy();
}
